CertInfo Struct Reference

`#include <gloox.h>`

## Public Attributes

int | status
bool | chain
std::string | issuer
std::string | server
int | date_from
int | date_to
std::string | protocol
std::string | cipher
std::string | mac
std::string | compression

## Detailed Description

Describes the certificate presented by the peer.

Definition at line 989 of file gloox.h.

## Member Data Documentation

## chain

bool chain

Determines whether the cert chain verified ok.

Definition at line 992 of file gloox.h.

## cipher

std::string cipher

The cipher used for the connection.

Definition at line 1002 of file gloox.h.

## compression

std::string compression

The compression used for the connection.

Definition at line 1004 of file gloox.h.

## date_from

int date_from

The date from which onwards the certificate is valid (UNIX timestamp; UTC).

Todo
  Change type to time_t or long?

Definition at line 995 of file gloox.h.

## date_to

int date_to

The date up to which the certificate is valid (UNIX timestamp; UTC).

Todo
  Change type to time_t or long?

Definition at line 998 of file gloox.h.

## issuer

std::string issuer

The name of the issuing entity.

Definition at line 993 of file gloox.h.

## mac

std::string mac

The MAC used for the connection.

Definition at line 1003 of file gloox.h.

## protocol

std::string protocol

The encryption protocol used for the connection.

Definition at line 1001 of file gloox.h.

## server

std::string server

The server the certificate has been issued for.

Definition at line 994 of file gloox.h.

## status

int status

Bitwise or'ed CertStatus or CertOK.

Definition at line 991 of file gloox.h.

The documentation for this struct was generated from the following file:

- gloox.h